<link rel="stylesheet" type="text/css" href="/templates/tseso/css/combo.css">
<?php
    if( $ctype['options']['list_show_filter'] ) {
        $this->renderAsset('ui/filter-panel', array(
            'css_prefix' => $ctype['name'],
            'page_url' => $page_url,
            'fields' => $fields,
            'props_fields' => $props_fields,
            'props' => $props,
            'filters' => $filters,
            'is_expanded' => $ctype['options']['list_expand_filter']
        ));
    }
?>
<?php if ($items){ ?>
    <div class="content_list featured <?php echo $ctype['name']; ?>_list">
        <?php foreach($items as $item){ ?>        
            <?php $item['ctype'] = $ctype; ?>                         
			<div class="content_list_item <?php echo $ctype['name']; ?>_list_item<?php if (!empty($item['is_vip'])){ ?> is_vip<?php } ?>">
                <div class="content_text">        
                <div class="fields">
                <?php foreach($fields as $field){ ?>
                    <?php if (empty($item[$field['name']])) { continue; } ?>
                    <?php if ($field['is_system']) { continue; } ?>
                    <?php if (!$field['is_in_list']) { continue; } ?>

                    <?php if ($field['groups_read'] && !$user->isInGroups($field['groups_read'])) { continue; } ?>

                    <?php
                        if (!isset($field['options']['label_in_list'])) {
                            $label_pos = 'none';
                        } else {
                            $label_pos = $field['options']['label_in_list'];
                        }
                    ?>
                    <div class="field ft_<?php echo $field['type']; ?> f_<?php echo $field['name']; ?>">            	
                        <?php if ($label_pos != 'none'){ ?>
                            <div class="title_<?php echo $label_pos; ?>"><?php echo $field['title'] . ($label_pos=='left' ? ': ' : ''); ?></div>
                        <?php } ?>
                        <div class="value" >                  
                            <?php if ($field['name'] == 'title' && $ctype['options']['item_on']){ ?>
                                <table style="width: 100%; border-collapse: collapse;"><tbody><tr>
								<td style="line-height: 15px;vertical-align: middle; background-color: rgba(77,153,204,0.2); letter-spacing: 0px; word-spacing: 0px; text-align: center; width: 14%;; background-image: none; background-repeat: repeat; background-position: 0% 0%;" align="right" valign="top">		
								<?php if ($ctype['is_rating']){ ?>
                                <div class="bar_item bi_rating" style="float: right; margin-right: 5px;"">
                                <?php echo $item['rating_widget']; ?>
                                </div>
                                <?php } ?>
                                <div id="content_text">
								<br></td>
								
								<td style="background-color: #ecf0f1; letter-spacing: 0px; word-spacing: 0px; border-left: 2px solid rgb(80, 114, 153);"><span style="font-size: 16pt;padding-left: 4px;">
								<?php if ($item['parent_id']){ ?>								
                                    <a class="parent_title" href="<?php echo href_to($item['parent_url']); ?>"><?php echo htmlspecialchars($item['parent_title']); ?></a> 
                                    &rarr;
                                <?php } ?> 
								<a href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>"><?php echo htmlspecialchars($item[$field['name']]); ?></a>		
								</span><br></td>
								
								</tr></tbody></table>
								
								
				<?php
					$show_bar = $ctype['is_rating'] ||
								$fields['date_pub']['is_in_item'] ||
								$fields['user']['is_in_item'] ||
								!empty($ctype['options']['hits_on']) || 
								!$item['is_pub'] || 
								!$item['is_approved'];
                ?>
                <?php if ($show_bar){ ?>
                    <div class="info_bar" style="float: left;">
						<?php if ($ctype['is_comments']){ ?>
                            <div class="bar_item bi_comments">
                                <a href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>#comments" title="<?php echo LANG_COMMENTS; ?>"><?php echo intval($item['comments']); ?></a>
                            </div>
                        <?php } ?>
                        <?php if ($fields['date_pub']['is_in_list']){ ?>
                            <div class="bar_item bi_date_pub" title="<?php echo $fields['date_pub']['title']; ?>">
                                <?php echo $fields['date_pub']['handler']->parse( $item['date_pub'] ); ?>
                            </div>
                        <?php } ?>
						<?php if (!$item['is_pub']){ ?>
							<div class="bar_item bi_not_pub">
								<?php echo LANG_CONTENT_NOT_IS_PUB; ?>
							</div>
						<?php } ?>				
                        <?php if ($fields['user']['is_in_list']){ ?>
                            <div class="bar_item bi_user" title="<?php echo $fields['user']['title']; ?>">
                                <?php echo $fields['user']['handler']->parse( $item['user'] ); ?>
                            </div>
                            <?php if (!empty($item['folder_title'])){ ?>
                                <div class="bar_item bi_folder">
                                    <a href="<?php echo href_to('users', $item['user']['id'], array('content', $ctype['name'], $item['folder_id'])); ?>"><?php echo $item['folder_title']; ?></a>
                                </div>
                            <?php } ?>
                        <?php } ?>
                        <?php if (!$item['is_approved']){ ?>
                            <div class="bar_item bi_not_approved">
                                <?php echo LANG_CONTENT_NOT_APPROVED; ?>
                            </div>
                        <?php } ?>
                    </div>
                <?php } ?>			
					<?php
                    $is_tags = $ctype['is_tags'] && !empty($ctype['options']['is_tags_in_list']) && $item['tags'];
                    ?>
                <?php if ($is_tags){ ?>
                    <div class="tags_bar" style="clear: none;">
                        <?php echo html_tags_bar($item['tags']); ?>
                    </div>
                <?php } ?>								
                            <?php } else { ?>
                                <?php echo $field['handler']->setItem($item)->parseTeaser($item[$field['name']]); ?>
                            <?php } ?>             
                        </div>
                    </div>
                <?php } ?>
					<div class="bar" style="clear: both; padding-top: 5px;">
					<?php echo $item['rating_widget']; ?>
					<div class="bar_item bi_comments" style="margin-left: 60px;text-decoration: none; padding-left: 25px; background: url(/templates/wide/images/icons/comment-small.png) no-repeat 5px center;"> 
				    <a href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>#comments" title="<?php echo Обсудить; ?>"><?php echo Обсудить ?></a>
					</div>
					</div>
                </div>

                    </div>
                        <div class="shadow" style="display: none"></div>
                        <a class="read-next" style="display: none;">
						<div style="text-align: center;"><span style="color: rgb(23, 54, 93);">РАЗВЕРНУТЬ ↓</span><br></div></a>	     
            </div>
        <?php } ?>
    </div>
    <?php if ($perpage < $total) { ?>
        <?php echo html_pagebar($page, $perpage, $total, $page_url, $filters); ?>
    <?php } ?>

<?php } else { echo LANG_LIST_EMPTY; } ?>

<script>

$(document).ready(function(){
	var hhh = 350;
	$(".content_text").each(function(){
		if ($(this).height() > hhh){
			$(this).css("max-height", hhh+"px");
			$(this).parent().parent().parent().find(".read-next").css("display", "inline");
			$(this).parent().parent().parent().find(".shadow").css("display", "block");
		} 
	});

	$(".read-next").click(function(){
		var block = $(this).parent().find(".content_text");
		var shadow = $(this).parent().find(".shadow");
		if (block.css("max-height") == hhh+"px"){
			block.css("max-height", "");
			shadow.css("display", "none");
			$(this).text("СВЕРНУТЬ ↑");
		}else{
			block.css("max-height", hhh+"px");
			$(this).text("РАЗВЕРНУТЬ ↓");
			shadow.css("display", "block");
		}
	});
});


</script>

